summaryrefslogtreecommitdiffstats
path: root/audio/oss
diff options
context:
space:
mode:
Diffstat (limited to 'audio/oss')
-rw-r--r--audio/oss/glibc-2.23.patch19
-rw-r--r--audio/oss/oss.SlackBuild30
-rw-r--r--audio/oss/oss.info6
3 files changed, 39 insertions, 16 deletions
diff --git a/audio/oss/glibc-2.23.patch b/audio/oss/glibc-2.23.patch
new file mode 100644
index 0000000000..c9dc65b111
--- /dev/null
+++ b/audio/oss/glibc-2.23.patch
@@ -0,0 +1,19 @@
+commit ad097a606d8b6ba46e0bcd12b284ca355592ac44
+Author: hash <hashn0n@users.noreply.github.com>
+Date: Sun Sep 24 19:53:49 2017 +0300
+
+ Fix os_cmd/Linux/ossdetect/ossdetect.c compile problem with
+ >=sys-libs/glibc-2.23, need to include sys/sysmacros.h
+
+diff --git a/os_cmd/Linux/ossdetect/ossdetect.c b/os_cmd/Linux/ossdetect/ossdetect.c
+index 86b86ba..1dce64a 100644
+--- a/os_cmd/Linux/ossdetect/ossdetect.c
++++ b/os_cmd/Linux/ossdetect/ossdetect.c
+@@ -12,6 +12,7 @@
+ #include <unistd.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
++#include <sys/sysmacros.h>
+ #include <sys/dir.h>
+
+ #define PCI_PASS 0
diff --git a/audio/oss/oss.SlackBuild b/audio/oss/oss.SlackBuild
index d1f7570439..9010e36f22 100644
--- a/audio/oss/oss.SlackBuild
+++ b/audio/oss/oss.SlackBuild
@@ -1,13 +1,16 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for OSS 4.
# Written by Dugan Chen (thedoogster [at] gmail [dot] com).
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=oss
-VERSION=${VERSION:-4.2.2011}
+VERSION=${VERSION:-4.2.2019}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
MAJOR=$(printf $VERSION | cut -d. -f-2)
MINOR=$(printf $VERSION | cut -d. -f3)
@@ -22,7 +25,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -56,18 +66,12 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+patch -p1 < $CWD/glibc-2.23.patch
+
if [ $ARCH = "x86_64" ]; then
- sed -i 's,OSSLIBDIR=\"/usr/lib/oss\",OSSLIBDIR=\"/usr/lib64/oss\",g' configure
+ sed -i 's,OSSLIBDIR=\"/usr/lib/oss\",OSSLIBDIR=\"/usr/lib64/oss\",g' configure || exit 1
fi
-# Patches from OSS Forums
-
-# Linux 4.0 and above fix by oss117
-patch -p1 < $CWD/oss-v4.2-linux-4.0.patch
-
-# GCC 5 fix by alexdw
-patch -p0 < $CWD/gcc-5.patch
-
mkdir build && cd build
../configure
CFLAGS="$SLKCFLAGS" make build
@@ -106,4 +110,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/oss/oss.info b/audio/oss/oss.info
index 8ca0c0652d..9ac3570098 100644
--- a/audio/oss/oss.info
+++ b/audio/oss/oss.info
@@ -1,8 +1,8 @@
PRGNAM="oss"
-VERSION="4.2.2011"
+VERSION="4.2.2019"
HOMEPAGE="http://www.opensound.com"
-DOWNLOAD="http://www.4front-tech.com/developer/sources/stable/gpl/oss-v4.2-build2011-src-gpl.tar.bz2"
-MD5SUM="68f80d569739a10281a8284dded12acc"
+DOWNLOAD="http://www.opensound.com/developer/sources/stable/gpl/oss-v4.2-build2019-src-gpl.tar.bz2"
+MD5SUM="330efdeee7567e6587e1a4a13f91eb5f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""